Package jnr.constants.platform.linux.aarch64

# Enum TCP

java.lang.Object
java.lang.Enum<TCP>
jnr.constants.platform.linux.aarch64.TCP

All Implemented Interfaces:
  `Serializable`, `Comparable<TCP>`, `java.lang.constant.Constable`, `Constant`

public enum TCP extends Enum<TCP> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`TCP_CONGESTION`
`TCP_COOKIE_TRANSACTIONS`
`TCP_CORK`
`TCP_DEFER_ACCEPT`
`TCP_FASTOPEN`
`TCP_INFO`
`TCP_KEEPCNT`
`TCP_KEEPIDLE`
`TCP_KEEPINTVL`
`TCP_LINGER2`
`TCP_MAX_WINSHIFT`
`TCP_MAXSEG`
`TCP_MAXWIN`
`TCP_MD5SIG`
`TCP_MSS`
`TCP_NODELAY`
`TCP_QUEUE_SEQ`
`TCP_QUICKACK`
`TCP_REPAIR`
`TCP_REPAIR_OPTIONS`
`TCP_REPAIR_QUEUE`
`TCP_SYNCNT`
`TCP_THIN_DUPACK`
`TCP_THIN_LINEAR_TIMEOUTS`
`TCP_TIMESTAMP`
`TCP_USER_TIMEOUT`
`TCP_WINDOW_CLAMP`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static TCP`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TCP[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### TCP_MSS

public static final TCP TCP_MSS

### TCP_MAXWIN

public static final TCP TCP_MAXWIN

### TCP_MAX_WINSHIFT

public static final TCP TCP_MAX_WINSHIFT

### TCP_NODELAY

public static final TCP TCP_NODELAY

### TCP_MAXSEG

public static final TCP TCP_MAXSEG

### TCP_CORK

public static final TCP TCP_CORK

### TCP_DEFER_ACCEPT

public static final TCP TCP_DEFER_ACCEPT

### TCP_INFO

public static final TCP TCP_INFO

### TCP_KEEPCNT

public static final TCP TCP_KEEPCNT

### TCP_KEEPIDLE

public static final TCP TCP_KEEPIDLE

### TCP_KEEPINTVL

public static final TCP TCP_KEEPINTVL

### TCP_LINGER2

public static final TCP TCP_LINGER2

### TCP_MD5SIG

public static final TCP TCP_MD5SIG

### TCP_QUICKACK

public static final TCP TCP_QUICKACK

### TCP_SYNCNT

public static final TCP TCP_SYNCNT

### TCP_WINDOW_CLAMP

public static final TCP TCP_WINDOW_CLAMP

### TCP_FASTOPEN

public static final TCP TCP_FASTOPEN

### TCP_CONGESTION

public static final TCP TCP_CONGESTION

### TCP_COOKIE_TRANSACTIONS

public static final TCP TCP_COOKIE_TRANSACTIONS

### TCP_QUEUE_SEQ

public static final TCP TCP_QUEUE_SEQ

### TCP_REPAIR

public static final TCP TCP_REPAIR

### TCP_REPAIR_OPTIONS

public static final TCP TCP_REPAIR_OPTIONS

### TCP_REPAIR_QUEUE

public static final TCP TCP_REPAIR_QUEUE

### TCP_THIN_DUPACK

public static final TCP TCP_THIN_DUPACK

### TCP_THIN_LINEAR_TIMEOUTS

public static final TCP TCP_THIN_LINEAR_TIMEOUTS

### TCP_TIMESTAMP

public static final TCP TCP_TIMESTAMP

### TCP_USER_TIMEOUT

public static final TCP TCP_USER_TIMEOUT

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static TCP[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TCP valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<TCP>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`